#include <libwccl/ops/functions/bool/iterations/rightlook.h>

namespace Wccl {

bool RightLook::iterate(
	int left,
	int right,
	Wccl::Position &p,
	const Wccl::FunExecContext &context) const
{
	for(int i = right; i >= left; --i) {
		p.set_value(i);
		if(evaluating_expr_->apply(context)->get_value()) {
			return true;
		}
	}
	return false;
}

} /* end ns Wccl */
